Bug 848147 - [abrt] python-2.7.3-6.fc17: remove_capslock_feedback: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: remove_capslock_feedback: Process /usr/bin/python...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:27352845d3cd72a7b373268f2dd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 14:31 EDT by Josef Bacik
Modified: 2013-07-31 15:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:41:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.25 KB, text/plain)
2012-08-14 14:31 EDT, Josef Bacik
no flags Details
File: maps (55.86 KB, text/plain)
2012-08-14 14:31 EDT, Josef Bacik
no flags Details
File: dso_list (11.45 KB, text/plain)
2012-08-14 14:31 EDT, Josef Bacik
no flags Details
File: build_ids (4.52 KB, text/plain)
2012-08-14 14:31 EDT, Josef Bacik
no flags Details

  None (edit)
Description Josef Bacik 2012-08-14 14:31:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/terminator
comment:        This has been happening forever, I'm not entirely sure how to reproduce it but it's driving me crazy.  It usually happens when I go to hit :wq in Vim, I think I'm fat fingering and hitting shift and caps lock at the same time.  It doesn't happen when I try to force it tho so I'm not sure what's causing it.
crash_function: remove_capslock_feedback
executable:     /usr/bin/python2.7
kernel:         3.4.6-2.fc17.x86_64
pid:            1459
pwd:            /home/josef
remote_result:  843667
time:           Tue 31 Jul 2012 04:04:48 PM EDT
uid:            1000
username:       josef
var_log_messages: Jul 31 16:04:48 localhost abrt[6930]: Saved core dump of pid 1459 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-31-16:04:48-1459 (59838464 bytes)
xsession_errors: 

backtrace:      Text file, 36099 bytes
build_ids:      Text file, 4633 bytes
dso_list:       Text file, 11726 bytes
maps:           Text file, 57201 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/josef/2

core_backtrace:
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0xd2241 - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x617b4 - libgdk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61e06 - libgdk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61eae - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0x1a65a8 - _gtk.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdce46 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddc02 PyEval_EvalCode libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf6baa - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf79a2 PyRun_FileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf83bb PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x109892 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1219
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=31dae5f923d615485bdc15200000000a-1343737510.594381-400503863
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/josef/keyring-qZklK3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=josef
:SSH_AUTH_SOCK=/run/user/josef/keyring-qZklK3/ssh
:USERNAME=josef
:MAIL=/var/spool/mail/josef
:DESKTOP_SESSION=cinnamon
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/josef/.local/bin:/home/josef/bin
:QT_IM_MODULE=xim
:PWD=/home/josef
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1086
:GDMSESSION=cinnamon
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/josef
:XDG_SEAT=seat0
:LOGNAME=josef
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GLQVWyxetj,guid=615eb20e95c5c671092d0d8100000026
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/josef
:GTK_IM_MODULE=gtk-im-context-simple
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-josef-Ep2s9x/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1092,unix/unix:/tmp/.ICE-unix/1092
:GPG_AGENT_INFO=/run/user/josef/keyring-qZklK3/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/terminator.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1459
:DESKTOP_STARTUP_ID=cinnamon-1306-localhost.localdomain-terminator-0_TIME69492

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127979               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127979               127979               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/josef/.xsession-errors
:pos:	75276
:flags:	0102002
:2:/home/josef/.xsession-errors
:pos:	75276
:flags:	0102002
:3:socket:[26653]
:pos:	0
:flags:	02004002
:4:socket:[24985]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:/dev/urandom
:pos:	0
:flags:	02100000
:7:/dev/ptmx
:pos:	0
:flags:	0104002
:8:/dev/pts/0
:pos:	0
:flags:	0100002
:9:socket:[24997]
:pos:	0
:flags:	02
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:pipe:[26114]
:pos:	0
:flags:	00
:12:pipe:[26114]
:pos:	0
:flags:	04001
:13:/dev/ptmx
:pos:	0
:flags:	0104002
:14:/dev/pts/1
:pos:	0
:flags:	0100002
:15:/dev/ptmx
:pos:	0
:flags:	0104002
:16:/dev/pts/2
:pos:	0
:flags:	0100002
:17:/dev/ptmx
:pos:	0
:flags:	0104002
:18:/tmp/vteSELJIW (deleted)
:pos:	468
:flags:	0100002
:19:/tmp/vteAOLJIW (deleted)
:pos:	64
:flags:	0100002
:20:/tmp/vteS1TJIW (deleted)
:pos:	46383
:flags:	0100002
:21:/tmp/vteLUTJIW (deleted)
:pos:	8000
:flags:	0100002
:22:/tmp/vteMWJ3HW (deleted)
:pos:	15642
:flags:	0100002
:23:/tmp/vteZOJ3HW (deleted)
:pos:	1056
:flags:	0100002
:24:/tmp/vte08O3HW (deleted)
:pos:	948
:flags:	0100002
:25:/tmp/vteM5O3HW (deleted)
:pos:	64
:flags:	0100002
:26:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:27:/tmp/vteFW85HW (deleted)
:pos:	56304
:flags:	0100002
:28:socket:[92014]
:pos:	0
:flags:	02004002
:29:/dev/pts/3
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 769efb21-4492-45ee-9f21-b8fbd2419acc
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5618.16
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2300 CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 16018
:System Swap: 18095
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:(32902:7202:4163:33869) pci, None, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7238:4163:33869) pci, None, PCI/ISA, P8P67 Deluxe Motherboard
:(32902:7198:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:9294:4163:33869) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:7200:4163:33819) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4098:43576:6023:43576) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(4098:38032:6023:8201) pci, radeon, VIDEO, RV730XT [Radeon HD 4670]
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:256:4163:33869) pci, None, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:7226:4163:33869) pci, mei, SIMPLE, P8P67 Deluxe Motherboard
:(32902:7194:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb4 / btrfs 4096 4096 239429376 233820483 223982441 0 0 0
:/dev/sdb2 /boot ext4 1024 1024 508644 242561 216961 128016 127750 127750
:
Comment 1 Josef Bacik 2012-08-14 14:31:11 EDT
Created attachment 604390 [details]
File: backtrace
Comment 2 Josef Bacik 2012-08-14 14:31:13 EDT
Created attachment 604391 [details]
File: maps
Comment 3 Josef Bacik 2012-08-14 14:31:15 EDT
Created attachment 604392 [details]
File: dso_list
Comment 4 Josef Bacik 2012-08-14 14:31:17 EDT
Created attachment 604393 [details]
File: build_ids
Comment 5 Ales Ledvinka 2012-08-17 03:01:45 EDT
4 guest vm running, anacron on host started prelink, decided to lock screen and walk away. then returned, unlock, crash message there.

backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:04:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:04:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:08:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:16:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:16:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-07-03 16:10:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 15:41:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.